---
updatedAt: 2025-09-16T11:17:34.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Retrieve a ground truth data point

Use this endpoint to retrieve a single specified ground truth data point.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/baselineData/{ground_truth_data_id}": {
      "get": {
        "summary": "Retrieve a ground truth data point",
        "description": "Use this endpoint to retrieve a single specified ground truth data point.",
        "operationId": "retrieve-a-ground-truth-data-point",
        "parameters": [
          {
            "name": "ground_truth_data_id",
            "in": "path",
            "description": "Identifier for the ground truth data point that you want to retrieve. You can find this in the ground truth section of your project in the super.AI dashboard.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\":123456,\n  \"created\":\"2020-03-12T11:10:56.464Z\",\n  \"modified\":\"2020-03-12T11:10:56.464Z\",\n  \"apiId\":\"1a2b34cd-ab12-4645-a8de-425a7996575b\",\n  \"ownerId\":1234,\n  \"status\":\"ACTIVE\",\n  \"jobId\":null,\n  \"input\":{\n    \"image_url\":\"data://images/dogs/poodles/elaborate-regal-poodle-03.jpg\"\n  },\n  \"label\":{\n    \"label\":{\n      \"choices\":[\n        {\n          \"tag\":\"0\",\n          \"value\":\"labrador\"\n        },\n        {\n          \"tag\":\"1\",\n          \"value\":\"poodle\"\n        },\n        {\n          \"tag\":\"2\",\n          \"value\":\"not sure\"\n        }\n      ],\n      \"selection\":{\n        \"tag\":\"1\",\n        \"value\":\"poodle\"\n      }\n    }\n  },\n  \"tag\":null,\n  \"used\":0,\n  \"type\":\"OWNER\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 123456,
                      "default": 0
                    },
                    "created": {
                      "type": "string",
                      "example": "2020-03-12T11:10:56.464Z"
                    },
                    "modified": {
                      "type": "string",
                      "example": "2020-03-12T11:10:56.464Z"
                    },
                    "apiId": {
                      "type": "string",
                      "example": "1a2b34cd-ab12-4645-a8de-425a7996575b"
                    },
                    "ownerId": {
                      "type": "integer",
                      "example": 1234,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "ACTIVE"
                    },
                    "jobId": {},
                    "input": {
                      "type": "object",
                      "properties": {
                        "image_url": {
                          "type": "string",
                          "example": "data://images/dogs/poodles/elaborate-regal-poodle-03.jpg"
                        }
                      }
                    },
                    "label": {
                      "type": "object",
                      "properties": {
                        "label": {
                          "type": "object",
                          "properties": {
                            "choices": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "tag": {
                                    "type": "string",
                                    "example": "0"
                                  },
                                  "value": {
                                    "type": "string",
                                    "example": "labrador"
                                  }
                                }
                              }
                            },
                            "selection": {
                              "type": "object",
                              "properties": {
                                "tag": {
                                  "type": "string",
                                  "example": "1"
                                },
                                "value": {
                                  "type": "string",
                                  "example": "poodle"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "tag": {},
                    "used": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "type": {
                      "type": "string",
                      "example": "OWNER"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Invalid API-KEY"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/baselineData/123456\" \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            },
            {
              "language": "python",
              "code": "import superai as ai\n\nclient = ai.Client(\"live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\")\n\nresponse = client.get_ground_truth_data(ground_truth_data_id=123456)\n\nprint(response)\n"
            },
            {
              "language": "shell",
              "code": "superai client get_ground_truth_data --ground_truth_data_id 123456",
              "name": "CLI"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```